Bug 40909 - free does not return all swap space defined
Summary: free does not return all swap space defined
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-16 14:54 UTC by akonstam
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 13:28:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description akonstam 2001-05-16 14:54:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i586)

Description of problem:
We have a machine that has 4 - 2Gig swap areas. cat /proc/swaps and swapon
-s
confirm they exist. The free program returns the information that htere is
4Gig of swap area total.  top returns the same eroneous value. Or is it
eroneous?

How reproducible:
Always

Steps to Reproduce:
1.run free or free -t
2.
3.
	

Actual Results:  [akonstam@SnowWhite /proc]$ free -t
             total       used       free     shared    buffers     cached
Mem:       4020832     162784    3858048      86128      61380      31648
-/+ buffers/cache:      69756    3951076
Swap:      4192152          0    4192152
Total:     8212984     162784    8050200


Expected Results:  Swap  8384304              0     8384304

Additional info:

I think from a note on the seawolf list the same behavior exists in
seawolf.

Comment 1 akonstam 2001-08-14 14:45:04 UTC
I am not sure where we are on this bug. Has it been reproduced? Has its origin
been found?
It has been 3 months and I just got a notification of the posting of the bug but
no comments were included in ther mail message or in the bug report on bugzilla.

Comment 2 akonstam 2002-06-21 13:28:25 UTC
I was the one that posted this bugzilla request. I keep getting the request
copied back to me without any additional comments. Why is this?

Comment 3 Alexander Larsson 2002-06-24 13:30:23 UTC
You get a mail any time a field in the bugreport changes, such as the recent
owner change. I just recently got all the procps bugs, and i haven't had time to
look at this one yet.


Comment 4 Alexander Larsson 2004-02-05 10:38:06 UTC
Mass reassign to new owner

Comment 5 Alexander Larsson 2004-02-05 10:38:46 UTC
Mass reassign to new owner

Comment 6 Alexander Larsson 2004-02-05 10:42:12 UTC
Mass reassign to new owner

Comment 7 Daniel Walsh 2004-02-11 12:36:43 UTC
Could you check this versus the current release?


Note You need to log in before you can comment on or make changes to this bug.